package com.dragon.system.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dragon.system.common.domain.SysConfig;


import java.util.List;

/**
 * @author 冯凯
 * @version 1.0
 * @description: 系统配置plus业务层
 * @date 2023/11/13 18:53
 */
public interface SysConfigPlusService extends IService<SysConfig> {

    /**
     * 分页获取系统服务参数配置列表
     */
    List<SysConfig> pageQuery(SysConfig config);

    /**
     * 根据参数键名查询参数值
     */
    String getByConfigKey(String configKey);

    /**
     * @description:  检查参数是否唯一
     * @param:  * @param config
     * @return: boolean
     * @author 冯凯
     * @date: 2023/11/13 19:42
     */
    boolean checkConfigKeyUnique(SysConfig config);

    /**
     * 刷新参数缓存
     */
    void resetConfigCache();

    SysConfig selectConfigById(Long configId);

}
